
QGIS Application - Bug report #1384

Ubuntu Intrepid GUI load failure

2008-11-06 01:15 AM - Alex Mandel

Status: Closed

Priority: Low

Assignee: Alex Mandel

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11444

Description

On upgrade from Ubuntu 8.04 to 8.10 qgis stops loading, the launcher gets stuck at 'Setting up GUI'

strace and gdb indicate something to do with X.

Along with QGIS lot's of other applications fail:

    -  konquerer

    -  qt designer

    -  eric4

    -  texmaker

The problem is actually a package that was upgrading during the dist-upgrade. It has yet to be identified but the list of potential bad

packages is attached.

Plan is isolate the package and submit the issue to the appropriate developers. In the mean time we'll need to warn Intrepid users to

remove the package.

Note: may not apply to all machines.

History

#1 - 2008-11-06 10:03 AM - Tim Sutton

I've attached my package list for comparison. Although perhaps we need to have package version numbers factored into the mix...

Tim

#2 - 2008-11-07 10:33 AM - ersts -

Here is my package list, my upgrade from 8.04 to 8.10 went just fine.

#3 - 2008-11-07 04:03 PM - Tim Sutton

- Resolution set to fixed

- Status changed from Open to Closed

This seems to be resolvable by doing:

sudo apt-get remove --purge libqt3-headers libqt3-mt libqt3-mt-dev uim-qt3
I believe specifically doing:

sudo apt-get remove --purge uim-qt3

should resolve the issue but needs to be verified.

#4 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

Files

testpackages.txt 8.5 KB 2008-11-06 Alex Mandel

timpackages.txt 21.6 KB 2008-11-06 Tim Sutton

petepackages-upgradejustfine.txt 24.3 KB 2008-11-07 ersts -
